#!/bin/bash

if [ $# != 1 ] ; then 
	echo "usage: cobweb.bash <a>"
	echo "   f(x) = ax(1-x)"
	exit
fi

./cobweb.pl $1 > cobweb.out 
mplotdat -g -r "0.0:1.0" -p "$1*x*(1-x), x" \
	-t "Cobweb plot of $1*x*(1-x)" \
	-l "whole orbit:last few orbits" \
	-w linespoints -c "1:2,3:4"  cobweb.out cobweb.out
