# function [t,M] = urn(n)
#	- initialize vector z with distinct integers in [1:n]
#	- until all are colored the same, pick two, color them the same, and 
#	  return the number of iterations necessary "t". 
function [t,M] = urn(n)

  z = (1:n);
  t=0;
  M = z;
  d = 10;
  while (min(z)!=max(z)) 
	b1 = floor(rand()*n)+1;
	b2 = floor(rand()*n)+1;
	while (b1==b2) 
		b2 = floor(rand()*n)+1;
	endwhile
	z(b2)=z(b1);
	t++;
	if (t>10*d) 
		d = 10*d;
	endif
	if (rem(t,d)==0) 
		M = [M ; z];	
	endif
  endwhile
  M = [M ; z];	
endfunction
