# usage: wisehart(n,m,k)
#	returns the expected value of n x m matrix X'X for k samples
function E = wisehart(n,m,k)

	E = zeros(m,m);	

	for i=1:k
 		X = randn(n,m);
		E = E+X'*X;
	endfor;

	E = E/k;

endfunction
		

	

